using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.UrlModuleLib
{
    public static class UrlUtilities
    {
        // Resolve URL by replacing ~ with application path
        public static string ResolveUrl( string applicationPath, string url )
        {
            if (url.Length == 0 || url[0] != '~')
                return url;		// there is no ~ in the first character position, just return the url
            else
            {
                if (url.Length == 1)
                    return applicationPath;  // there is just the ~ in the URL, return the applicationPath

                if (url[1] == '/' || url[1] == '\\')
                {
                    // url looks like ~/ or ~\
                    if (applicationPath.Length > 1)
                        return applicationPath + "/" + url.Substring( 2 );
                    else
                        return "/" + url.Substring( 2 );
                }
                else
                {
                    // url looks like ~something
                    if (applicationPath.Length > 1)
                        return applicationPath + "/" + url.Substring( 1 );
                    else
                        return applicationPath + url.Substring( 1 );
                }
            }
        }

    }
}
