﻿using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Base;
using Vevo.Domain.Blogs;
using System.Data;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IBlogRepository
    {
        Blog Save( Blog blog );
        Blog GetOne( string blogID );
        string GetBlogIDFromUrlName( string urlName );
        string GetIDByTitle( string blogTitle );
        void Delete( string blogID );
        IList<Blog> GetAll( string sortBy );
        IList<TableSchemaItem> GetTableSchema();
        IList<Blog> SearchBlog(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems,
            string storeID,
            bool allDate,
            BoolFilter isEnabled );
        DataTable GetArchiveList( string storeID );
        DataTable GetArchiveList( string storeID, string limitRow );
        IList<Blog> GetRecentPost( string storeID, string limitRow );
        IList<Blog> GetBlogListByDate(
            string month,
            string year,
            int startIndex,
            int endIndex,
            out int howManyItems,
            string storeID );
        IList<Blog> QuickSearch(
            string searchTerm,
            string[] searchFieldList,
            int startIndex,
            int endIndex,
            out int howManyItems,
            string storeID );
    }
}
