using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Configurations;
using Vevo.Domain.Stores;

namespace Vevo.Domain.DataInterfaces
{
    public interface IConfigurationRepository
    {
        Configuration Save( Configuration configuration );
        Configuration UpdateValue( Configuration configuration, string newValue );
        Configuration UpdateValue( Configuration configuration, string newValue, Store store );
        Configuration UpdateValue( Culture culture, Configuration configuration, string newValue );
        Configuration UpdateValue( Culture culture, Configuration configuration, string newValue, Store store );
        IList<Configuration> GetAll();
        IList<Configuration> SearchConfiguration(
            Culture culture,
            string sortBy,
            string searchTerm,
            string[] searchFieldList
        );
        IList<Configuration> GetByParentConfigName( string configName );
        IList<Configuration> GetByEnablerConfigName( string configName );
        void DeleteAll();
        void DeleteConfigValueByStoreID( string storeID );
    }
}
