using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Base;
using Vevo.Domain.Contents;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IContentMenuItemRepository
    {
        ContentMenuItem Save( ContentMenuItem contentmenuitem );
        ContentMenuItem GetOne( Culture culture, string contentmenuitemID );
        string GetContentMenuItemIDFromUrlName( string urlName );
        IList<ContentMenuItem> GetByContentMenuID( Culture culture,
            string contentMenuID, string sortBy, BoolFilter isEnabled );
        IList<ContentMenuItem> GetByContentMenuID( Culture culture,
            string contentMenuID, string sortBy, BoolFilter isEnabled, BoolFilter contentIsEnabled );
        void Delete( string contentmenuitemID );
        void DeleteLocalesByCultureID( string cultureID );
        IList<ILocale> GetLocales( string contentmenuitemID );
        IList<ContentMenuItem> SearchContentMenuItem(
            Culture culture,
            string menuPosition,
            string sortBy,
            SearchFilter searchFilter
            );
        IList<ContentMenuItem> GetAll( Culture culture, BoolFilter enabled );
        IList<TableSchemaItem> GetTableSchema();
        string GetMaxSortOrder( string contentMenuID );
        void ReArrangeSortOrderByContentMenuID( Culture culture, string parentContentMenuID,
           BoolFilter enabled );
        void ReArrangeSortOrder( Culture culture, string parentContentMenuID,
            string contentMenuItemID, BoolFilter enabled );
        void UpdateSortOrder( string[] sortList );
        IList<ContentMenuItem> GetByPosition( Culture culture, string menuPosition, string sortBy, BoolFilter isEnabled );
        IList<ContentMenuItem> GetByStoreID( Culture culture, string storeID, string sortBy, BoolFilter isEnabled );
    }
}
