﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.WebServices.Security
{
    public class WcfSession
    {
        private const int MaximumSendRequestLoop = 100;

        private string _ticket;
        private string _lastErrorMessage;
        private DateTime _lastAccessTime;

        public WcfSession()
        {
            _ticket = Guid.NewGuid().ToString().ToLower();
            _lastErrorMessage = String.Empty;
            _lastAccessTime = DateTime.Now;
        }

        public string Ticket
        {
            get { return _ticket; }
        }

        public string LastErrorMessage
        {
            get
            {
                return _lastErrorMessage;
            }
            set
            {
                _lastErrorMessage = value;
            }
        }

        public bool IsExpired( int idleTimeoutSeconds )
        {
            TimeSpan lastAccess = DateTime.Now.Subtract( _lastAccessTime );
            return (lastAccess.CompareTo( new TimeSpan( 0, 0, idleTimeoutSeconds ) ) >= 0);
        }
    }
}
