﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Facebook;
using Vevo.Shared.WebUI;

namespace Vevo.WebUI.Facebook
{
    public class FacebookLogin: FacebookConnect
    {
        public FacebookLogin(string redictURL): base()
        {
            _facebookOAuthClient.RedirectUri = new UriBuilder( UrlPath.StorefrontUrl + redictURL ).Uri;
        }

        public string GetFacebookUserID( string code )
        {
            try
            {
                var parameters = new Dictionary<string, object>();
                parameters.Add( "permissions", "offline_access" );
                JsonObject tokenObj = (JsonObject) _facebookOAuthClient.ExchangeCodeForAccessToken( code, parameters );

                if (!tokenObj.ContainsKey( "access_token" ))
                    return String.Empty;
                FacebookClient fb = new FacebookClient( tokenObj["access_token"].ToString() );
                JsonObject user = (JsonObject) fb.Get( "/me" );
                if (user.ContainsKey( "id" ))
                    return user["id"].ToString();
                else
                    return String.Empty;
            }
            catch
            {
                return String.Empty;
            }
        }
    }
}
