using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Collections.Generic;
using System.Text;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Drawing;
using Vevo.WebAppLib;
using Vevo;
using Vevo.Domain;
using Vevo.WebUI;
using Vevo.WebUI.Ajax;

public partial class Components_CurrencyControl : Vevo.WebUI.International.BaseLanguageUserControl
{
    private string _currencyName;

    private bool IsStoreCurrencyInsideList( IList<Currency> currencyList )
    {
        for (int i = 0; i < currencyList.Count; i++)
        {
            if (currencyList[i].CurrencyCode == CurrencyUtilities.StoreCurrencyCode)
            {
                _currencyName = currencyList[i].Name;
                return true;
            }
        }
        return false;
    }

    private void PopulateControls()
    {
        IList<Currency> list = DataAccessContext.CurrencyRepository.GetByEnabled( BoolFilter.ShowTrue );

        uxCurrencyDataList.Items.Clear();
        MenuItem topItem = new MenuItem();
        topItem.Text = "[$Change]";
        topItem.Value = CurrencyUtilities.StoreCurrencyCode;

        if (IsStoreCurrencyInsideList( list ))
            uxCurrencyName.Text = _currencyName;
        else
            uxCurrencyName.Text = list[0].Name;

        foreach (Currency currency in list)
        {
            MenuItem childrenItem = NewItem( currency );
            topItem.ChildItems.Add( childrenItem );
        }

        uxCurrencyDataList.Items.Add( topItem );
    }

    private MenuItem NewItem( Currency currency )
    {
        MenuItem newItem = new MenuItem();
        newItem.Text = currency.Name;
        newItem.Value = currency.CurrencyCode;

        return newItem;
    }

    protected void Page_Load( object sender, EventArgs e )
    {

    }

    protected void Page_PreRender( object sender, EventArgs e )
    {
        if (!DataAccessContext.Configurations.GetBoolValue( "CurrencyModuleDisplay" ))
        {
            this.Visible = false;
        }
        else
        {
            PopulateControls();
        }
    }

    protected void uxCurrencyDataList_OnMenuItemClick( object sender, EventArgs e )
    {
        CurrencyUtilities.StoreCurrencyCode = uxCurrencyDataList.SelectedValue;
        GetStorefrontEvents().OnStoreCurrencyChanged(
            this,
            new CurrencyEventArgs( uxCurrencyDataList.SelectedValue ) );
    }
}
