<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductListItemColumn1.ascx.cs"
    Inherits="Components_ProductListItemColumn1" %>
<%@ Register Src="~/Components/AddtoWishListButton.ascx" TagName="AddtoWishListButton"
    TagPrefix="uc4" %>
<%@ Register Src="~/Components/AddtoCompareListButton.ascx" TagName="AddtoCompareListButton"
    TagPrefix="uc7" %>
<%@ Register Src="~/Components/Message.ascx" TagName="Message" TagPrefix="uc3" %>
<%@ Register Src="~/Components/OptionGroupDetails.ascx" TagName="OptionGroupDetails"
    TagPrefix="uc2" %>
<%@ Register Src="~/Components/CatalogImage.ascx" TagName="CatalogImage" TagPrefix="uc1" %>
<%@ Register Src="~/Components/RecurringSpecial.ascx" TagName="RecurringSpecial"
    TagPrefix="uc5" %>
<%@ Register Src="~/Components/AddThis.ascx" TagName="AddThis" TagPrefix="ucAddThis" %>
<%@ Register Src="~/Components/AddToCartNotification.ascx" TagName="AddToCartNotification"
    TagPrefix="uc8" %>
<%@ Register Src="~/Components/ProductQuickView.ascx" TagName="ProductQuickView"
    TagPrefix="uc6" %>
<%@ Import Namespace="Vevo" %>
<%@ Import Namespace="Vevo.Shared.Utilities" %>
<%@ Import Namespace="Vevo.WebUI" %>
<div class="ProductListItemColumn1">
    <table class="ProductListItemColumn1Table">
        <tr>
            <td class="ProductListItemColumn1Image">
                <asp:Panel ID="uxImagePanel" runat="server" CssClass="ProductListItemColumn1ImagePanel">
                    <table class="ProductListItemColumn1Image">
                        <tr>
                            <td valign="middle">
                                <asp:HyperLink ID="uxProductLink" runat="server" NavigateUrl='<%# Vevo.UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                                    CssClass="ProductLink">
                                    <uc1:CatalogImage ID="uxCatalogImage" runat="server" ProductID='<%# Eval( "ProductID" ).ToString() %>' />
                                </asp:HyperLink>
                            </td>
                        </tr>
                    </table>
                    <uc6:ProductQuickView ID="ProductQuickView1" runat="server" ProductID='<%# Eval( "ProductID" ).ToString() %>' />
                </asp:Panel>
                <asp:Panel ID="uxQuantityDiscountPanel" runat="server" Visible='<%# QuantityDiscountVisible( Eval("DiscountGroupID"), Eval("CategoryIDs") ) %>'
                    CssClass="ProductListItemColumn1QuantityDiscountPanel">
                   <asp:Label ID="uxQuantityDiscountLabel" runat="server" CssClass="DiscountLabel" Text="[$DiscountIcon]" />
                </asp:Panel>
                <div id="uxFreeShippingRow" runat="server" visible='<%# Convert.ToBoolean(Eval( "FreeShippingCost" ))%>'
                    class="ProductListItemColumn1QuantityDiscountPanel">
                    <asp:Label ID="uxFreeShippingRowLabel" runat="server" CssClass="FreeShippingLabel" Text="[$FreeShippingIcon]" />
                </div>
            </td>
            <td class="ProductListItemColumn1DetailsColumn">
                <div class="ProductListItemColumn1NameDiv">
                    <asp:HyperLink ID="uxNameLink" CssClass="ProductListItemColumn1NameLink" NavigateUrl='<%# UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                        runat="server"> 
                    <%# Eval("Name") %> 
                    </asp:HyperLink>
                </div>
                <asp:Panel ID="uxRmaMessagePanel" runat="server" CssClass="ProductListItemColumn1RmaPanel"
                    Visible="<%# IsRmaEmable() %>">
                    <asp:Label ID="uxRmaMessageLabel" runat="server" Text='<%# RmaMessage( Eval( "ReturnTime" ) ) %>' />
                </asp:Panel>
                <div id="uxRecurringDiv" runat="server" visible='<%# ConvertUtilities.ToBoolean( Eval("IsRecurring") ) %>'
                    class="ProductListItemColumn1RecurringDiv">
                    <asp:Panel ID="uxRecurringPeriodTR" runat="server" Visible='<%# IsVisibilityRecurringPeriod() %>'
                        CssClass="ProductListItemColumn1RecurringCycles">
                        <%# "[$RecurringAmountEvery] " + ShowRecurringCycles() %>
                    </asp:Panel>
                    <uc5:RecurringSpecial ID="uxRecurringSpecial" runat="server" Visible='<%# IsAuthorizedToViewPrice(Eval( "IsCallForPrice" )) %>' />
                </div>
                <asp:Panel ID="uxCallForPriceTR" runat="server" Visible='<%# IsCallForPrice( Eval( "IsCallForPrice" ) ) %>'
                    CssClass="ProductListItemColumn1OurPricePanel">
                    <div class="ProductListItemColumn1OurPriceValue">
                        [$CallForPrice]
                    </div>
                </asp:Panel>
                <asp:Panel ID="uxRetailPriceTR" runat="server" Visible='<%# IsRetailPriceEnabled( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), GetRetailPrice( Eval( "ProductID" ) ), Eval( "IsCallForPrice" ) ) && !IsDynamicProductKitPrice(BindingContainer)%>'
                    CssClass="ProductListItemColumn1RetailPricePanel">
                    <div class="ProductListItemColumn1RetailPriceLabel">
                        [$Retail Price]
                    </div>
                    <div class="ProductListItemColumn1RetailPriceValue">
                        <%# StoreContext.Currency.FormatPrice( GetRetailPrice( Eval( "ProductID" ) ) )%>
                    </div>
                    <span class="DiscountPercent" id="uxDiscountPercentLabel" runat="server" visible='<%# IsDiscount(Eval( "ProductID" )) && IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" )  )  %>'>
                        <span class="PercentLabel">[$Percent]</span> <span class="PercentValue">
                            <%# GetDiscountPercent( Eval( "ProductID" ))%></span> </span>
                </asp:Panel>
                <asp:Panel ID="uxOurPriceDiv" runat="server" CssClass="ProductListItemColumn1OurPricePanel"
                    Visible='<%# IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" ) )&& !IsDynamicProductKitPrice(BindingContainer) %>'>
                    <div class="ProductListItemColumn1OurPriceLabel">
                        <asp:Label ID="uxPriceHeadLabel" runat="server">[$Our Price]</asp:Label></div>
                    <div class="ProductListItemColumn1OurPriceValue">
                        <asp:Label ID="uxPriceLabel" runat="server" Text='<%# GetFormattedPriceFromContainer( BindingContainer ) %>' /></div>
                    <div class="Clear">
                    </div>
                </asp:Panel>
                <asp:Panel ID="uxAddtoCartPlaceHolder" runat="server" Visible='<%# !CatalogUtilities.IsCatalogMode() %>'
                    CssClass="ProductListItemColumn1AddtoCartPanel">
                    <asp:LinkButton ID="uxAddToCartImageButton" runat="server" OnClick="uxAddToCartImageButton_Command"
                        CommandName='<%# Eval( "UrlName" ) %>' CommandArgument='<%# Eval( "ProductID" ) %>'
                        Visible='<%# !(CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory")))) && IsAuthorizedToViewPrice(Eval( "IsCallForPrice" )) %>'
                        ValidationGroup='<%# String.Format( "ProductValid{0}", Eval( "ProductID" ).ToString() ) %>'
                        Text="[$BtnAddToCart]" CssClass="BtnStyle1" />
                </asp:Panel>
                <div class="Column1TellFriendPanel">
                    <asp:LinkButton ID="uxTellFriendLinkButton" runat="server" Text=" " CssClass="BtnStyle5 TellFriendLinkButton"
                        OnCommand="uxTellFriendButton_Command" CommandArgument='<%#Vevo.UrlManager.GetTellFriendUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>' ToolTip="[$BtnTellFriend]"/>
                </div>
                <asp:Panel ID="uxAddtoWishListDiv" runat="server" CssClass="Column1AddtoWishListPanel"
                    Visible='<%# !Convert.ToBoolean( Eval( "IsGiftCertificate" ) ) && !Convert.ToBoolean( Eval( "IsCustomPrice" ) ) && !CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) %>'>
                    <uc4:AddtoWishListButton ID="uxAddtoWishListButton" runat="server" Visible='<%# !Convert.ToBoolean( Eval( "IsGiftCertificate" ) ) && 
                    !CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) &&
                    !Convert.ToBoolean( Eval( "IsCustomPrice" ) ) && !Convert.ToBoolean( Eval( "IsCallForPrice" ) ) && !Convert.ToBoolean( Eval( "IsProductKit" ) ) %>'
                        ProductID='<%# Eval( "ProductID" ) %>' UrlName='<%# Eval( "UrlName" ) %>' ValidationGroup='<%# String.Format( "ProductValid{0}", Eval( "ProductID" ).ToString() ) %>'
                        Text=" " />
                </asp:Panel>
                <asp:Panel ID="uxAddtoCompareListPanel" runat="server" CssClass="Column1AddtoCompareListPanel"
                    Visible='<%# !Convert.ToBoolean( Eval( "IsProductKit" ) ) && !Convert.ToBoolean( Eval( "IsGiftCertificate" ) )  %>'>
                    <uc7:AddtoCompareListButton ID="uxAddtoCompareListButton" runat="server" ProductID='<%# Eval( "ProductID" ) %>'
                        UrlName='<%# Eval( "UrlName" ) %>' Text=" " />
                </asp:Panel>
                <div class="AddThisWidget">
                    <ucAddThis:AddThis ID="AddThis1" LinkURL='<%# UrlManager.GetProductFullUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                        Title='<%# Eval("Name") %>' runat="server" />
                </div>
                <asp:Panel ID="uxStockPlaceHolder" runat="server" Visible='<%# !CatalogUtilities.IsCatalogMode() %>'
                    CssClass="ProductListItemColumn1OutOfStockPanel">
                    <asp:Label ID="uxStockLabel" runat="server" Text='<%# CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ), Convert.ToBoolean(Eval("UseInventory") ) ) ? "[$Out]" : "" %>'></asp:Label>
                </asp:Panel>
                <div class="ProductListItemColumn1Message">
                    <uc3:Message ID="uxMessage" runat="server" />
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:Panel ID="uxOptionGroupPanel" runat="server" CssClass="ProductListItemColumn1OptionGroupPanel"
                    Visible='<%# OptionVisibleInProductList(Eval( "ProductID" ).ToString()) %>'>
                    <uc2:OptionGroupDetails ID="uxOptionGroupDetails" runat="server" ProductID='<%# Eval( "ProductID" ) %>'
                        ValidGroup='<%# String.Format( "ProductValid{0}", Eval( "ProductID" ).ToString() ) %>' />
                </asp:Panel>
            </td>
        </tr>
    </table>
</div>
<asp:UpdatePanel ID="uxNotificationUpdate" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <uc8:AddToCartNotification ID="uxAddToCartNotification" runat="server" />
    </ContentTemplate>
    <Triggers>
        <asp:AsyncPostBackTrigger ControlID="uxAddToCartImageButton" />
    </Triggers>
</asp:UpdatePanel>
