<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductListItemTable.ascx.cs"
    Inherits="Components_ProductListItemTable" %>
<%@ Register Src="~/Components/AddtoWishListButton.ascx" TagName="AddtoWishListButton"
    TagPrefix="uc4" %>
<%@ Register Src="~/Components/AddtoCompareListButton.ascx" TagName="AddtoCompareListButton"
    TagPrefix="uc7" %>
<%@ Register Src="~/Components/CatalogImage.ascx" TagName="CatalogImage" TagPrefix="uc1" %>
<%@ Register Src="~/Components/AddToCartNotification.ascx" TagName="AddToCartNotification"
    TagPrefix="uc8" %>
<%@ Register Src="~/Components/ProductQuickView.ascx" TagName="ProductQuickView"
    TagPrefix="uc6" %>
<%@ Import Namespace="Vevo" %>
<%@ Import Namespace="Vevo.Domain" %>
<%@ Import Namespace="Vevo.Domain.Products" %>
<%@ Import Namespace="Vevo.Shared.Utilities" %>
<%@ Import Namespace="Vevo.WebUI" %>
<table cellpadding="5" cellspacing="0" class="ProductListTableViewItem">
    <tr>
        <td class="Image">
            <asp:Panel ID="uxImagePanel" runat="server" CssClass="ImagePanel">
                <table class="Image1">
                    <tr>
                        <td valign="middle">
                            <asp:HyperLink ID="uxProductLink" runat="server" NavigateUrl='<%# Vevo.UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                                CssClass="ProductLink">
                                <uc1:CatalogImage ID="uxCatalogImage" runat="server" ProductID='<%# Eval( "ProductID" ).ToString() %>' />
                            </asp:HyperLink>
                        </td>
                    </tr>
                </table>
                <uc6:ProductQuickView ID="ProductQuickView1" runat="server" ProductID='<%# Eval( "ProductID" ).ToString() %>' />
            </asp:Panel>
        </td>
        <td class="Name">
            <div class="ProductNameDiv">
                <asp:HyperLink ID="uxNameLink" CssClass="ProductNameLink" NavigateUrl='<%# UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                    runat="server"> 
                                <%# Eval("Name") %> 
                </asp:HyperLink>
            </div>
            <div class="ProductDescription">
                <%# Eval("ShortDescription") %>
            </div>
            <asp:Panel ID="uxProductListItemQuantityDiscountPanel" runat="server" Visible='<%# QuantityDiscountVisible( Eval("DiscountGroupID"), Eval("CategoryIDs") ) %>'
                CssClass="ProductDiscount">
                <asp:Label ID="uxQuantityDiscountPanel" runat="server" CssClass="DiscountLabel" Text="[$DiscountIcon]" />
            </asp:Panel>
            <div id="uxFreeShippingRow" runat="server" visible='<%# Convert.ToBoolean(Eval( "FreeShippingCost" ))%>'
                class="ProductDiscount">
                <asp:Label ID="Label1" runat="server" CssClass="FreeShippingLabel" Text="[$FreeShippingIcon]"  />
            </div>
        </td>
        <td class="Sku">
            <asp:Label ID="uxStockLabel" runat="server" Text='<%# CheckValidStock ( Eval("UseInventory"), Eval("SumStock"))%>' />
        </td>
        <td class="Price">
            <asp:Panel ID="uxCallForPriceTR" runat="server" Visible='<%# IsCallForPrice( Eval( "IsCallForPrice" ) ) %>'
                CssClass="ProductPrice">
                [$CallForPrice]
            </asp:Panel>
            <asp:Panel ID="uxOurPricePanel" runat="server" CssClass="ProductPrice" Visible='<%# IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" )  ) && !IsDynamicProductKitPrice(BindingContainer) %>'>
                <asp:Label ID="uxPriceLabel" runat="server" Text='<%# GetFormattedPriceFromContainer( BindingContainer ) %>' />
            </asp:Panel>
            <asp:Panel ID="uxProductRetailPricePanel" runat="server" CssClass="ProductRetailPrice"
                Visible='<%# IsRetailPriceEnabled( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), GetRetailPrice( Eval( "ProductID" ) ), Eval( "IsCallForPrice" ) ) && !IsDynamicProductKitPrice(BindingContainer)%>'>
                <asp:Label ID="uxRetailPriceLabel" runat="server" Text='<%# StoreContext.Currency.FormatPrice( GetRetailPrice( Eval( "ProductID" ) ) )%>' />
            </asp:Panel>
            <asp:Panel ID="uxDiscountPercentLabel" runat="server" CssClass="ProductListDiscountPercent"
                Visible='<%# IsDiscount(Eval( "ProductID" )) && IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" )  )  %>'>
                <span class="PercentLabel">[$Percent]</span> <span class="PercentValue">
                    <%# GetDiscountPercent( Eval( "ProductID" ))%></span>
            </asp:Panel>
        </td>
        <td class="Button">
            <asp:PlaceHolder ID="uxAddtoCartPlaceHolder" runat="server" Visible='<%# !CatalogUtilities.IsCatalogMode() %>'>
                <asp:LinkButton ID="uxAddToCartImageButton" runat="server" OnClick="uxAddToCartImageButton_Command"
                    CommandName='<%# Eval( "UrlName" ) %>' CommandArgument='<%# Eval( "ProductID" ) %>'
                    Visible='<%# !(CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory")))) && IsAuthorizedToViewPrice(Eval( "IsCallForPrice" )) %>'
                    ValidationGroup='<%# String.Format( "ProductValid{0}", Eval( "ProductID" ).ToString() ) %>'
                    Text="[$BtnAddToCart]" CssClass="BtnStyle1" />
            </asp:PlaceHolder>
            <div class="TableViewTellFriendPanel">
                <asp:LinkButton ID="uxTellFriendLinkButton" runat="server" Text=" " CssClass="BtnStyle5 TellFriendLinkButton"
                    OnCommand="uxTellFriendButton_Command" CommandArgument='<%#Vevo.UrlManager.GetTellFriendUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                    ToolTip="[$BtnTellFriend]" />
            </div>
            <asp:Panel ID="uxAddtoWishListDiv" runat="server" CssClass="TableViewAddtoWishListPanel"
                Visible='<%# !Convert.ToBoolean( Eval( "IsGiftCertificate" ) ) && !Convert.ToBoolean( Eval( "IsCustomPrice" ) ) && !CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) %>'>
                <uc4:AddtoWishListButton ID="uxAddtoWishListButton" runat="server" Visible='<%# !Convert.ToBoolean( Eval( "IsGiftCertificate" ) ) && 
                    !CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) &&
                    !Convert.ToBoolean( Eval( "IsCustomPrice" ) ) && !Convert.ToBoolean( Eval( "IsCallForPrice" ) ) && !Convert.ToBoolean( Eval( "IsProductKit" ) ) %>'
                    ProductID='<%# Eval( "ProductID" ) %>' UrlName='<%# Eval( "UrlName" ) %>' ValidationGroup='<%# String.Format( "ProductValid{0}", Eval( "ProductID" ).ToString() ) %>'
                    Text=" " />
            </asp:Panel>
            <asp:Panel ID="uxAddtoCompareListPanel" runat="server" CssClass="TableViewAddtoCompareListPanel"
                Visible='<%# !Convert.ToBoolean( Eval( "IsProductKit" ) ) && !Convert.ToBoolean( Eval( "IsGiftCertificate" ) )  %>'>
                <uc7:AddtoCompareListButton ID="uxAddtoCompareListButton" runat="server" ProductID='<%# Eval( "ProductID" ) %>'
                    UrlName='<%# Eval( "UrlName" ) %>' Text=" " />
            </asp:Panel>
        </td>
    </tr>
</table>
<asp:UpdatePanel ID="uxNotificationUpdate" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <uc8:AddToCartNotification ID="uxAddToCartNotification" runat="server" />
    </ContentTemplate>
    <Triggers>
        <asp:AsyncPostBackTrigger ControlID="uxAddToCartImageButton" />
    </Triggers>
</asp:UpdatePanel>
